Bug 1432965 (CVE-2017-6440) - CVE-2017-6440 libplist: Memory allocation error in parse_data_node
Summary: CVE-2017-6440 libplist: Memory allocation error in parse_data_node
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6440
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1432971
Blocks: 1432966
TreeView+ depends on / blocked
 
Reported: 2017-03-16 13:18 UTC by Adam Mariš
Modified: 2019-09-29 14:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 07:32:25 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-03-16 13:18:52 UTC
The parse_data_node function in bplist.c in libimobiledevice libplist 1.12 allows local users to cause a denial of service (memory allocation error) via a crafted plist file.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/99

Comment 1 Adam Mariš 2017-03-16 13:28:29 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1432971]


Note You need to log in before you can comment on or make changes to this bug.